Skip to main content
GET
/
public
/
v2
/
vat-rates
/
{vat_rate_id}
Get VAT rate by ID
curl --request GET \
  --url https://api.dualentry.com/public/v2/vat-rates/{vat_rate_id}/ \
  --header 'X-API-KEY: <api-key>'
{
  "id": 123,
  "country_code": "<string>",
  "name": "<string>",
  "rate": "<string>",
  "valid_from": "2023-12-25",
  "valid_to": "2023-12-25",
  "is_active": true,
  "is_system": true,
  "description": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.dualentry.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-KEY
string
header
required

Path Parameters

vat_rate_id
integer
required

Response

OK

Output schema for VAT rate.

id
integer
required
country_code
string
required
name
string
required
rate
string
required
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d{0,6}0*$
rate_type
enum<string>
required
Available options:
STANDARD,
REDUCED,
SUPER_REDUCED,
PARKING,
ZERO,
EXEMPT
tax_type
enum<string>
required
Available options:
INPUT_OUTPUT,
ZERO_RATED,
EXEMPT,
REVERSE_CHARGE,
OUT_OF_SCOPE
valid_from
string<date>
required
valid_to
string<date> | null
required
is_active
boolean
required
is_system
boolean
required
description
string | null
required
Last modified on May 28, 2026